org.eclnt.workplace

## Class WorkplaceFunctionTreeFromInfoNode

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean
  - - org.eclnt.workplace.WorkplaceFunctionTree
    - - org.eclnt.workplace.WorkplaceFunctionTreeFromInfoNode

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    WorkplaceFunctionsManager.FunctionTree

      public class WorkplaceFunctionTreeFromInfoNode
      extends WorkplaceFunctionTree

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.workplace.WorkplaceFunctionTree

      `WorkplaceFunctionTree.FunctionNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionTreeFromInfoNode(IDispatcher owner, WorkplaceFunctionTreeInfoNode rootNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkIfToRenderNode(WorkplaceFunctionTreeInfoNode node)`
    `WorkplaceFunctionTreeInfoNode` | `getRootNode()`
    `protected void` | `loadFunctionTree()` This method is called during construction: in this method the nodes for the function tree are to be built up.

    - ### Methods inherited from class org.eclnt.workplace.WorkplaceFunctionTree

      `getFtree, getWorkpageContainer, loadContentPage`

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

      `ccDestroy, getOwningDispatcher, setDispatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFunctionTreeFromInfoNode

          public WorkplaceFunctionTreeFromInfoNode(IDispatcher owner,
                                                   WorkplaceFunctionTreeInfoNode rootNode)

  - ### Method Detail

    - #### getRootNode

          public WorkplaceFunctionTreeInfoNode getRootNode()

    - #### loadFunctionTree

          protected void loadFunctionTree()

      Description copied from class: `WorkplaceFunctionTree`
      This method is called during construction: in this method the nodes for the function tree are to be built up.
      Specified by:
        `loadFunctionTree` in class `WorkplaceFunctionTree`

    - #### checkIfToRenderNode

          protected boolean checkIfToRenderNode(WorkplaceFunctionTreeInfoNode node)

Copyright © CaptainCasa Gmbh. All Rights Reserved.